Subject: Re: [PATCH v2 net] ip6_gre: use skb_vlan_inet_prepare() instead of pskb_inet_may_pull()

From: Jakub Kicinski <[email-masked]>
Date: Tue, 6 Jan 2026 12:31:51 -0800

On Tue, 6 Jan 2026 20:33:40 +0100 Eric Dumazet wrote:
> For some reason I am unable to run this test from a virtme-ng instance.
> 
> I guess I wlll not make a new version of this patch, maybe Florian can
> take over.

Hm, no complications seen here:

$ vng -r --user root
..
prompt# cd tools/testing/selftests/net/
prompt# ./gre_gso.sh 

    TEST: GREv6/v4 - copy file w/ TSO                                   [ OK ]
    TEST: GREv6/v4 - copy file w/ GSO                                   [ OK ]
2026/01/06 15:30:35 socat[1704] W exiting on signal 15
    TEST: GREv6/v6 - copy file w/ TSO                                   [ OK ]
    TEST: GREv6/v6 - copy file w/ GSO                                   [ OK ]
2026/01/06 15:30:35 socat[1721] W exiting on signal 15

Tests passed:   4
Tests failed:   0

Happy to give you access to the netdev machine to experiment there
if that helps, just send me an SSH key.